var APIBase = require("../../api.base");
var system = require("../../../system");
class TmTransactionAPI extends APIBase {
    constructor() {
        super();
        this.orderinfoSve = system.getObject("service.dbcorder.orderinfoSve");
    }
    /**
      * 接口跳转-POST请求
      * actionProcess  执行的流程
      * actionType     执行的类型
      * actionBody     执行的参数
      */
    async springBoard(pobj, qobj, req) {
        if (!pobj.actionProcess) {
            return system.getResult(null, "actionProcess参数不能为空");
        }
        if (!pobj.action_type) {
            return system.getResult(null, "actionType参数不能为空");
        }
        var result = null;
        switch (pobj.actionProcess) {
            case "jd"://京东
                result = await this.opActionProcess(pobj.actionProcess, pobj.actionType, pobj.actionBody);
                break;
            case "1688":
                result = await this.opActionProcess(pobj.actionProcess, pobj.actionType, pobj.actionBody);
                break;
            default:
                result = system.getResult(null, "actionProcess参数错误");
                break;
        }
        return result;
    }
    async opActionProcess(action_process, action_type, action_body, req) {
        var opResult = null;
        switch (action_type) {
            // sy
            case "test"://测试
                opResult = system.getResultSuccess(null, "测试成功");
                break;
            case "addOrder"://添加订单
                opResult = await this.orderinfoSve.createOrder(action_body, req);
                break;

            default:
                opResult = system.getResult(null, "action_type参数错误");
                break;
        }
        return opResult;
    }

}
module.exports = TmTransactionAPI;