﻿var url = require("url");
var system = require("../../base/system");
module.exports = function (app) {
	app.get('/:gname/:qname/:method', function (req, res) {
		var classPath = req.params["qname"];
		var methodName = req.params["method"];
		var gname = req.params["gname"];

		classPath = gname + "." + classPath;
		var tClientIp = system.get_client_ip(req);
		req.clientIp = tClientIp;
		req.uagent = req.headers["user-agent"];
		req.classname = classPath;

		var params = [];
		params.push(gname);
		params.push(methodName);
		params.push(req.body);
		params.push(req.query);
		params.push(req);
		var p = null;
		var invokeObj = system.getObject("api." + classPath);
		if (invokeObj["doexec"]) {
			p = invokeObj["doexec"].apply(invokeObj, params);
		}
		p.then(r => {
			res.end(JSON.stringify(r));
		});
	});
	app.post('/:gname/:qname/:method', function (req, res) {
		var classPath = req.params["qname"];
		var methodName = req.params["method"];
		var gname = req.params["gname"];
		var params = [];
		classPath = gname + "." + classPath;
		var tClientIp = system.get_client_ip(req);

		req.clientIp = tClientIp;
		req.uagent = req.headers["user-agent"];
		req.classname = classPath;

		params.push(gname);
		params.push(methodName);
		params.push(req.body);
		params.push(req.query);
		params.push(req);
		var p = null;
		var invokeObj = system.getObject("api." + classPath);
		if (invokeObj["doexec"]) {
			p = invokeObj["doexec"].apply(invokeObj, params);
		}
		p.then(r => {
			res.end(JSON.stringify(r));
		});
	});

	//-----------------------新的模式------------------开始

	app.all("/web/*", async function (req, res, next) {
		var result = system.getResult(null, "req method must is post");
		if (req.method != "POST") {
			res.end(JSON.stringify(result));
			return;
		}
		if (!req.body.actionType) {
			result.msg = "actionType can not be empty";
			res.end(JSON.stringify(result));
			return;
		}
		if (req.body.actionType == "getAppTokenByHosts") {
			req.body.actionBody.app_hosts = req.host;
			next();
			return;
		}
		var token = req.headers["token"] || "";
		if (!token) {
			result.msg = "req headers token can not be empty";
			res.end(JSON.stringify(result));
			return;
		}
		var cacheManager = system.getObject("db.common.cacheManager");
		var result = await cacheManager["AppTokenByHostsCache"].getCache(token, system.exTime);
		if (result.status != 0) {
			res.end(JSON.stringify(result));
			return result;
		}
		req.appInfo = result.data;
		req.body.actionProcess = req.appInfo.app_code;
		var lst = [
			"subTmOrder", "getTmOrderList",
			"getTmOrderInfo", "getTmApplyInfo",
			"getTmNclList", "getNeedInfo",
			"tmConfirm", "updateTmInfo",
			"updateNclInfo", "updateContacts",
			"updateCustomerInfo", "addOrderAndDelivery",
			"updateOrderPayStatus"
		];
		if (lst.indexOf(req.body.actionType) >= 0) {
			var userpin = req.headers["userpin"] || "";
			if (!userpin) {
				result.msg = "req headers userpin can not be empty";
				res.end(JSON.stringify(result));
				return;
			} else {
				var result = await cacheManager["AppUserPinByChannelUserId"].getCache(userpin, system.exTime);
				if (result.status != 0) {
					res.end(JSON.stringify(result));
					return result;
				}
				req.userInfo = result.data;
			}
		}//需要用户登录
		next();
	});

	app.get('/web/:gname/:qname/:method', function (req, res) {
		var classPath = req.params["qname"];
		var methodName = req.params["method"];
		var gname = req.params["gname"];

		classPath = gname + "." + classPath;
		var tClientIp = system.get_client_ip(req);
		req.clientIp = tClientIp;
		req.uagent = req.headers["user-agent"];
		req.classname = classPath;

		var params = [];
		params.push(gname);
		params.push(methodName);
		params.push(req.body);
		params.push(req.query);
		params.push(req);
		var p = null;
		var invokeObj = system.getObject("api." + classPath);
		if (invokeObj["doexecMethod"]) {
			p = invokeObj["doexecMethod"].apply(invokeObj, params);
		}
		p.then(r => {
			res.end(JSON.stringify(r));
		});
	});
	app.post('/web/:gname/:qname/:method', function (req, res) {
		var classPath = req.params["qname"];
		var methodName = req.params["method"];
		var gname = req.params["gname"];
		var params = [];
		classPath = gname + "." + classPath;
		var tClientIp = system.get_client_ip(req);

		req.clientIp = tClientIp;
		req.uagent = req.headers["user-agent"];
		req.classname = classPath;

		params.push(gname);
		params.push(methodName);
		params.push(req.body);
		params.push(req.query);
		params.push(req);
		var p = null;
		var invokeObj = system.getObject("api." + classPath);
		if (invokeObj["doexecMethod"]) {
			p = invokeObj["doexecMethod"].apply(invokeObj, params);
		}
		p.then(r => {
			res.end(JSON.stringify(r));
		});
	});

	//-----------------------新的模式------------------结束
};
